LibreOffice: XNumberFormatCode Interface Reference

LibreOffice LibreOffice 24.8 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XNumberFormatCode Interface Reference

Access number format codes defined in locale data. More...

`import <XNumberFormatCode.idl;`

Inheritance diagram for XNumberFormatCode:

## Public Member Functions
NumberFormatCode | getDefault ([in] short nFormatType, [in] short nFormatUsage, [in] com::sun::star::lang::Locale rLocale)
| returns the default number format code of a specific category (usage group) for a given locale and format length type.
NumberFormatCode | getFormatCode ([in] short nFormatIndex, [in] com::sun::star::lang::Locale rLocale)
| returns the number format pointed to by nFormatIndex for a given locale.
sequence< NumberFormatCode > | getAllFormatCode ([in] short nFormatUsage, [in] com::sun::star::lang::Locale rLocale)
| returns all format codes for a given nFormatUsage and locale.
sequence< NumberFormatCode > | getAllFormatCodes ([in] com::sun::star::lang::Locale rLocale)
| returns all format codes for a given locale.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

Access number format codes defined in locale data.

Developers Guide
  Office Development - Overview and Using the API - XNumberFormatCode

## Member Function Documentation

## ◆ getAllFormatCode()

sequence< NumberFormatCode > getAllFormatCode | ( | [in] short | nFormatUsage,
|  | [in] com::sun::star::lang::Locale | rLocale )

returns all format codes for a given nFormatUsage and locale.

Parameters

  nFormatUsage | one of KNumberFormatUsage values
  rLocale | The locale for which the format codes are requested.

## ◆ getAllFormatCodes()

sequence< NumberFormatCode > getAllFormatCodes | ( | [in] com::sun::star::lang::Locale | rLocale | ) |

returns all format codes for a given locale.

Parameters

  rLocale | The locale for which the format codes are requested.

## ◆ getDefault()

NumberFormatCode getDefault | ( | [in] short | nFormatType,
|  | [in] short | nFormatUsage,
|  | [in] com::sun::star::lang::Locale | rLocale )

returns the default number format code of a specific category (usage group) for a given locale and format length type.

Parameters

  nFormatType | one of the constants listed in KNumberFormatType
  nFormatUsage | one of KNumberFormatUsage values
  rLocale | The locale for which the format code is requested.

## ◆ getFormatCode()

NumberFormatCode getFormatCode | ( | [in] short | nFormatIndex,
|  | [in] com::sun::star::lang::Locale | rLocale )

returns the number format pointed to by nFormatIndex for a given locale.

Parameters

  nFormatIndex | one of NumberFormatIndex values
  rLocale | The locale for which the format code is requested.

The documentation for this interface was generated from the following files:

- com/sun/star/i18n/XNumberFormatCode.idl
- /build/libreoffice-fresh/src/libreoffice-24.8.1.2/odk/docs/idl/generated_idl_chapter_refs.idl